### Method

# GimpUi PreviewArea draw

#### Declaration [src]

    void
    gimp_preview_area_draw (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      GimpImageType type,
      const guchar* buf,
      gint rowstride
    )

#### Description [src]

Draws `buf` on `area` and queues a redraw on the given rectangle.

Since GIMP 2.2

#### Parameters

`x` | `gint`
| X offset in preview.
`y` | `gint`
| Y offset in preview.
`width` | `gint`
| Buffer width.
`height` | `gint`
| Buffer height.
`type` | `GimpImageType`
| The `GimpImageType` of `buf`.
`buf` | An array of `guchar`
| A #guchar buffer that contains the preview pixel data.
| The data is owned by the caller of the function.
`rowstride` | `gint`
| Rowstride of `buf`.